Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CAD_Handler Class Reference

Handler class for <componentassemblydescription> type. More...

`#include <CAD_Handler.h>`

Inheritance diagram for CAD_Handler:

[legend]
Collaboration diagram for CAD_Handler:

[legend]
List of all members.

## Public Member Functions
| CAD_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| CAD_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| CAD_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_ComponentAssemblyDescription (::Deployment::ComponentAssemblyDescription &cad)
| Process the component assembly description.
void | process_instance (DOMNodeIterator *iter, Deployment::SubcomponentInstantiationDescription &sid)
| process instance
void | process_connection (DOMNodeIterator *iter, Deployment::AssemblyConnectionDescription &acd)
| process connection element
void | process_property (DOMNodeIterator *iter, Deployment::AssemblyPropertyMapping &acd)
| process property element
void | process_spe (DOMNodeIterator *iter, Deployment::SubcomponentPortEndpoint &spe)
| process spe element
void | process_spr (DOMNodeIterator *iter, Deployment::SubcomponentPropertyReference &spr)
| process spr element
void | process_package (DOMNodeIterator *iter, Deployment::ComponentPackageDescription &sid_package)
| process CPD
void | update_spe_refs (Deployment::ComponentAssemblyDescription &cad)
| update spe refs
void | update_spr_refs (Deployment::ComponentAssemblyDescription &cad)
| update spr refs

## Detailed Description

Handler class for <componentassemblydescription> type.

This class is within the Component Data Model subpackage of the Deployment & Configuration package.

This class defines handler methods to parse the aforementioned type in the descriptor files. The corresponding CORBA IDL type for this element is returned.

## Constructor & Destructor Documentation

CAD_Handler::CAD_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

CAD_Handler::CAD_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

CAD_Handler::CAD_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

BEGIN_DEPLOYMENT_NAMESPACE void CAD_Handler::process_ComponentAssemblyDescription | ( | ::Deployment::ComponentAssemblyDescription & | cad | ) |

| Process the component assembly description.

void CAD_Handler::process_connection | ( | DOMNodeIterator * | iter,
|  | Deployment::AssemblyConnectionDescription & | acd
| ) |

| process connection element

void CAD_Handler::process_instance | ( | DOMNodeIterator * | iter,
|  | Deployment::SubcomponentInstantiationDescription & | sid
| ) |

| process instance

void CAD_Handler::process_package | ( | DOMNodeIterator * | iter,
|  | Deployment::ComponentPackageDescription & | sid_package
| ) |

| process CPD

void CAD_Handler::process_property | ( | DOMNodeIterator * | iter,
|  | Deployment::AssemblyPropertyMapping & | acd
| ) |

| process property element

void CAD_Handler::process_spe | ( | DOMNodeIterator * | iter,
|  | Deployment::SubcomponentPortEndpoint & | spe
| ) |

| process spe element

void CAD_Handler::process_spr | ( | DOMNodeIterator * | iter,
|  | Deployment::SubcomponentPropertyReference & | spr
| ) |

| process spr element

void CAD_Handler::update_spe_refs | ( | Deployment::ComponentAssemblyDescription & | cad | ) |

| update spe refs

void CAD_Handler::update_spr_refs | ( | Deployment::ComponentAssemblyDescription & | cad | ) |

| update spr refs

The documentation for this class was generated from the following files:

- CAD_Handler.h
- CAD_Handler.cpp